#! /bin/sh

# Definitionen
##D="-D __DEBUG -D __LANG_EN"
##D="-D __LANG_EN"
D="-D __LANG_DE"

# Pfade
bin="../Bin"
##bin="/home/ftp/hive"
sdtbox="${bin}/sdcard/tbox-3"
libpath="../TriOS/lib"
BSTC="bstc"

# ----------------------------------------------------------------
# Alte Versionen löschen

rm -rf ${sdtbox}
mkdir -p ${sdtbox}
mkdir ${sdtbox}/boing
mkdir ${sdtbox}/gui-demo
mkdir ${sdtbox}/plexbus
mkdir ${sdtbox}/triborg

##rm -f ${sdsys}/xxxxxx
##mkdir -p ${sdsys}


# ----------------------------------------------------------------
# Bin-Dateien erzeugen, kopieren


${BSTC} -L ${libpath} ${D} -b -O a source/boing/boing-reg.spin
mv boing-reg.binary "${sdtbox}/boing/boing.bin"
${BSTC} -L ${libpath} ${D} -b -O a source/boing/boing-bel.spin
mv boing-bel.binary "${sdtbox}/boing/boing.bel"
${BSTC} -L ${libpath} ${D} -D __ADM_FAT -D __ADM_SID -b -O a ../TriOS/flash/administra/admflash.spin
mv admflash.binary "${sdtbox}/boing/boing.adm"
cp source/sid/boing.sid "${sdtbox}/boing/"
cp source/sid/*.dmp "${sdtbox}/boing/"

${BSTC} -L ${libpath} ${D} -b -O a source/triborg/triborg-reg.spin
mv triborg-reg.binary "${sdtbox}/triborg/triborg.bin"
${BSTC} -L ${libpath} ${D} -b -O a source/triborg/triborg-bel.spin
mv triborg-bel.binary "${sdtbox}/triborg/triborg.bel"
${BSTC} -L ${libpath} ${D} -D __ADM_FAT -D __ADM_SID -b -O a ../TriOS/flash/administra/admflash.spin
mv admflash.binary "${sdtbox}/triborg/triborg.adm"
cp source/sid/triborg.sid "${sdtbox}/triborg/"
cp source/sid/*.dmp "${sdtbox}/triborg/"

for FILE in source/plexbus/*.spin ; do 
    ${BSTC} -L ${libpath} ${D} -b -O a ${FILE}
    BASE="`basename ${FILE} .spin`"
    mv "${BASE}.binary" "${sdtbox}/plexbus/${BASE}.bin"
done

${BSTC} -L ${libpath} ${D} -e -O a source/gui-demo/guidemo.spin
mv guidemo.eeprom "${sdtbox}/gui-demo/guidemo.bel"
